## org.apache.catalina.deploy
Class MessageDestinationRef

    java.lang.Object
      org.apache.catalina.deploy.MessageDestinationRef

All Implemented Interfaces:
  java.io.Serializable

    public class MessageDestinationRef

extends java.lang.Object
implements java.io.Serializable

Representation of a message destination reference for a web application, as represented in a `<message-destination-ref>` element in the deployment descriptor.

Since:
  Tomcat 5.0
Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected NamingResources` `resources` The NamingResources with which we are associated (if any).

Constructor Summary
`MessageDestinationRef()`

Method Summary
`java.lang.String` `getDescription()`
`java.lang.String` `getLink()`
`java.lang.String` `getName()`
`NamingResources` `getNamingResources()`
`java.lang.String` `getType()`
`java.lang.String` `getUsage()`
`void` `setDescription(java.lang.String description)`
`void` `setLink(java.lang.String link)`
`void` `setName(java.lang.String name)`
`void` `setType(java.lang.String type)`
`void` `setUsage(java.lang.String usage)`
`java.lang.String` `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### resources

    protected NamingResources resources

  The NamingResources with which we are associated (if any).

Constructor Detail

### MessageDestinationRef

    public MessageDestinationRef()

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getLink

    public java.lang.String getLink()

### setLink

    public void setLink(java.lang.String link)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getUsage

    public java.lang.String getUsage()

### setUsage

    public void setUsage(java.lang.String usage)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

### getNamingResources

    public NamingResources getNamingResources()

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.